package com.philisense.rdgo.bean.response;

import java.util.List;

/**
 * Created by shaop on 2017/12/13.
 */

public class WhBean {


    /**
     * success : 0
     * message : 查询成功!
     * count : 1
     * list : [{"_id":"5a5880429c4650709ca0dcba","warehouse10":0,"warehouse9":0,"warehouse8":0,"warehouse7":0,"warehouse6":0,"warehouse5":0,"warehouse4":0,"warehouse3":0,"warehouse2":0,"warehouse1":0,"__v":0,"deleted":0,"updateTime":"2018-06-06T10:07:50.311Z","lastUpdatedBy":{"line":"","warehouse":"","factory":"","IDCard":"12345678","sex":"男","person":"系统管理员","account":"admin"},"createTime":"2018-01-12T09:30:42.079Z","createdBy":{"line":"","warehouse":"","factory":"","IDCard":"12345678","sex":"man","person":"系统管理员","account":"admin"},"level":"一级","persons":[],"url2":"/sources/product/upload/1521522948exQr4KjWR3rrs7SH3YddpD6niHyGfQjc.jpg","url1":"/sources/product/upload/15215229476JNwRnxSn3dtB45DQByhxTawhAKjCdPE.jpg","factory":"凯欣粮油有限公司重庆食用油厂","memo":"备注","email":"","chargerPhone":"123","charger":"凌苇","proxy":0,"fundLimit":0,"magPos":"","address":"重庆市九龙坡区铜罐驿镇砖瓦村167号","belong":0,"startPoint":"重庆九油厂","name":"铜罐驿仓库","region":"九龙坡区","code":"ck01"}]
     */

    private int success;
    private String message;
    private int count;
    private List<ListBean> list;

    public int getSuccess() {
        return success;
    }

    public void setSuccess(int success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * _id : 5a5880429c4650709ca0dcba
         * warehouse10 : 0
         * warehouse9 : 0
         * warehouse8 : 0
         * warehouse7 : 0
         * warehouse6 : 0
         * warehouse5 : 0
         * warehouse4 : 0
         * warehouse3 : 0
         * warehouse2 : 0
         * warehouse1 : 0
         * __v : 0
         * deleted : 0
         * updateTime : 2018-06-06T10:07:50.311Z
         * lastUpdatedBy : {"line":"","warehouse":"","factory":"","IDCard":"12345678","sex":"男","person":"系统管理员","account":"admin"}
         * createTime : 2018-01-12T09:30:42.079Z
         * createdBy : {"line":"","warehouse":"","factory":"","IDCard":"12345678","sex":"man","person":"系统管理员","account":"admin"}
         * level : 一级
         * persons : []
         * url2 : /sources/product/upload/1521522948exQr4KjWR3rrs7SH3YddpD6niHyGfQjc.jpg
         * url1 : /sources/product/upload/15215229476JNwRnxSn3dtB45DQByhxTawhAKjCdPE.jpg
         * factory : 凯欣粮油有限公司重庆食用油厂
         * memo : 备注
         * email :
         * chargerPhone : 123
         * charger : 凌苇
         * proxy : 0
         * fundLimit : 0
         * magPos :
         * address : 重庆市九龙坡区铜罐驿镇砖瓦村167号
         * belong : 0
         * startPoint : 重庆九油厂
         * name : 铜罐驿仓库
         * region : 九龙坡区
         * code : ck01
         */

        private String _id;
        private int warehouse10;
        private int warehouse9;
        private int warehouse8;
        private int warehouse7;
        private int warehouse6;
        private int warehouse5;
        private int warehouse4;
        private int warehouse3;
        private int warehouse2;
        private int warehouse1;
        private int __v;
        private int deleted;
        private String updateTime;
        private LastUpdatedByBean lastUpdatedBy;
        private String createTime;
        private CreatedByBean createdBy;
        private String level;
        private String url2;
        private String url1;
        private String factory;
        private String memo;
        private String email;
        private String chargerPhone;
        private String charger;
        private int proxy;
        private int fundLimit;
        private String magPos;
        private String address;
        private int belong;
        private String startPoint;
        private String name;
        private String region;
        private String code;
        private List<?> persons;

        public String get_id() {
            return _id;
        }

        public void set_id(String _id) {
            this._id = _id;
        }

        public int getWarehouse10() {
            return warehouse10;
        }

        public void setWarehouse10(int warehouse10) {
            this.warehouse10 = warehouse10;
        }

        public int getWarehouse9() {
            return warehouse9;
        }

        public void setWarehouse9(int warehouse9) {
            this.warehouse9 = warehouse9;
        }

        public int getWarehouse8() {
            return warehouse8;
        }

        public void setWarehouse8(int warehouse8) {
            this.warehouse8 = warehouse8;
        }

        public int getWarehouse7() {
            return warehouse7;
        }

        public void setWarehouse7(int warehouse7) {
            this.warehouse7 = warehouse7;
        }

        public int getWarehouse6() {
            return warehouse6;
        }

        public void setWarehouse6(int warehouse6) {
            this.warehouse6 = warehouse6;
        }

        public int getWarehouse5() {
            return warehouse5;
        }

        public void setWarehouse5(int warehouse5) {
            this.warehouse5 = warehouse5;
        }

        public int getWarehouse4() {
            return warehouse4;
        }

        public void setWarehouse4(int warehouse4) {
            this.warehouse4 = warehouse4;
        }

        public int getWarehouse3() {
            return warehouse3;
        }

        public void setWarehouse3(int warehouse3) {
            this.warehouse3 = warehouse3;
        }

        public int getWarehouse2() {
            return warehouse2;
        }

        public void setWarehouse2(int warehouse2) {
            this.warehouse2 = warehouse2;
        }

        public int getWarehouse1() {
            return warehouse1;
        }

        public void setWarehouse1(int warehouse1) {
            this.warehouse1 = warehouse1;
        }

        public int get__v() {
            return __v;
        }

        public void set__v(int __v) {
            this.__v = __v;
        }

        public int getDeleted() {
            return deleted;
        }

        public void setDeleted(int deleted) {
            this.deleted = deleted;
        }

        public String getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(String updateTime) {
            this.updateTime = updateTime;
        }

        public LastUpdatedByBean getLastUpdatedBy() {
            return lastUpdatedBy;
        }

        public void setLastUpdatedBy(LastUpdatedByBean lastUpdatedBy) {
            this.lastUpdatedBy = lastUpdatedBy;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public CreatedByBean getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(CreatedByBean createdBy) {
            this.createdBy = createdBy;
        }

        public String getLevel() {
            return level;
        }

        public void setLevel(String level) {
            this.level = level;
        }

        public String getUrl2() {
            return url2;
        }

        public void setUrl2(String url2) {
            this.url2 = url2;
        }

        public String getUrl1() {
            return url1;
        }

        public void setUrl1(String url1) {
            this.url1 = url1;
        }

        public String getFactory() {
            return factory;
        }

        public void setFactory(String factory) {
            this.factory = factory;
        }

        public String getMemo() {
            return memo;
        }

        public void setMemo(String memo) {
            this.memo = memo;
        }

        public String getEmail() {
            return email;
        }

        public void setEmail(String email) {
            this.email = email;
        }

        public String getChargerPhone() {
            return chargerPhone;
        }

        public void setChargerPhone(String chargerPhone) {
            this.chargerPhone = chargerPhone;
        }

        public String getCharger() {
            return charger;
        }

        public void setCharger(String charger) {
            this.charger = charger;
        }

        public int getProxy() {
            return proxy;
        }

        public void setProxy(int proxy) {
            this.proxy = proxy;
        }

        public int getFundLimit() {
            return fundLimit;
        }

        public void setFundLimit(int fundLimit) {
            this.fundLimit = fundLimit;
        }

        public String getMagPos() {
            return magPos;
        }

        public void setMagPos(String magPos) {
            this.magPos = magPos;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public int getBelong() {
            return belong;
        }

        public void setBelong(int belong) {
            this.belong = belong;
        }

        public String getStartPoint() {
            return startPoint;
        }

        public void setStartPoint(String startPoint) {
            this.startPoint = startPoint;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getRegion() {
            return region;
        }

        public void setRegion(String region) {
            this.region = region;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public List<?> getPersons() {
            return persons;
        }

        public void setPersons(List<?> persons) {
            this.persons = persons;
        }

        public static class LastUpdatedByBean {
            /**
             * line :
             * warehouse :
             * factory :
             * IDCard : 12345678
             * sex : 男
             * person : 系统管理员
             * account : admin
             */

            private String line;
            private String warehouse;
            private String factory;
            private String IDCard;
            private String sex;
            private String person;
            private String account;

            public String getLine() {
                return line;
            }

            public void setLine(String line) {
                this.line = line;
            }

            public String getWarehouse() {
                return warehouse;
            }

            public void setWarehouse(String warehouse) {
                this.warehouse = warehouse;
            }

            public String getFactory() {
                return factory;
            }

            public void setFactory(String factory) {
                this.factory = factory;
            }

            public String getIDCard() {
                return IDCard;
            }

            public void setIDCard(String IDCard) {
                this.IDCard = IDCard;
            }

            public String getSex() {
                return sex;
            }

            public void setSex(String sex) {
                this.sex = sex;
            }

            public String getPerson() {
                return person;
            }

            public void setPerson(String person) {
                this.person = person;
            }

            public String getAccount() {
                return account;
            }

            public void setAccount(String account) {
                this.account = account;
            }
        }

        public static class CreatedByBean {
            /**
             * line :
             * warehouse :
             * factory :
             * IDCard : 12345678
             * sex : man
             * person : 系统管理员
             * account : admin
             */

            private String line;
            private String warehouse;
            private String factory;
            private String IDCard;
            private String sex;
            private String person;
            private String account;

            public String getLine() {
                return line;
            }

            public void setLine(String line) {
                this.line = line;
            }

            public String getWarehouse() {
                return warehouse;
            }

            public void setWarehouse(String warehouse) {
                this.warehouse = warehouse;
            }

            public String getFactory() {
                return factory;
            }

            public void setFactory(String factory) {
                this.factory = factory;
            }

            public String getIDCard() {
                return IDCard;
            }

            public void setIDCard(String IDCard) {
                this.IDCard = IDCard;
            }

            public String getSex() {
                return sex;
            }

            public void setSex(String sex) {
                this.sex = sex;
            }

            public String getPerson() {
                return person;
            }

            public void setPerson(String person) {
                this.person = person;
            }

            public String getAccount() {
                return account;
            }

            public void setAccount(String account) {
                this.account = account;
            }
        }
    }
}
